Package org.eclipse.net4j.signal

# Class SignalScheduledEvent<INFRA_STRUCTURE>

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.signal.SignalScheduledEvent<INFRA_STRUCTURE>

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

public class SignalScheduledEvent<INFRA_STRUCTURE> extends org.eclipse.net4j.util.event.Event
An `event` fired from a `signal protocol` when a `signal` has been scheduled for local execution.

Since:
  3.0
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`Signal`
`getSignal()`
`ISignalProtocol<INFRA_STRUCTURE>`
`getSource()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSource

public ISignalProtocol<INFRA_STRUCTURE> getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Overrides:
  `getSource` in class `org.eclipse.net4j.util.event.Event`

### getSignal

public Signal getSignal()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `org.eclipse.net4j.util.event.Event`